## org.eclipse.jst.pagedesigner.extensionpoint
Interface IContextMenuItemContributor

    public interface IContextMenuItemContributor

Method Summary
`void` `fillContextMenu(IMenuManager manager, ISelection selection, IStructuredModel model, Control parentUI)`
`java.lang.String` `getURI()`
`void` `setURI(java.lang.String uri)`

Method Detail

### setURI

    void setURI(java.lang.String uri)

  Parameters:
    `uri` -

### getURI

    java.lang.String getURI()

  Returns:
    the uri

### fillContextMenu

    void fillContextMenu(IMenuManager manager,
                         ISelection selection,
                         IStructuredModel model,
                         Control parentUI)

  Parameters:
    `manager` -
    `selection` -
    `model` -
    `parentUI` -